<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Estilos: Lista</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section data-bespoke-state='portada'>
      <h1>Estilos: Lista</h1>
    </section>

    <section class="pt-2" data-bespoke-state='clean'>
      <h2><span class="propiedad">list-style-type</span></h2>
      <ul class="lista">
        <li>Permite cambiar marcadores de las listas</li>
        <li>Se aplica a nivel de lista (<span class="etiqueta">ul</span> o <span class="etiqueta">ol</span>)</li>
      </ul>
      <h3>Listas desordenadas</h3>
      <ul class="lista">
        <li><span class="valor-css">none</span>, no muestra marcadores</li>
        <li><span class="valor-css">disc</span>, discos (por defecto en <span class="etiqueta">ul</span>)</li>
        <li><span class="valor-css">circle</span>, discos vacíos (por defecto en sublista <span class="etiqueta">ul</span>)</li>
        <li><span class="valor-css">square</span>, cuadrados<br>
          (por defecto en sublista <span class="etiqueta">ul</span> de nivel 3 o superior)</li>
      </ul>
      <h3>Ejemplos</h3>
      <pre><code><span class="selector">.lista-ejemplo</span> {<span class="propiedad">list-style-type:</span> <span class="valor-css">circle;</span>}
<span class="selector">.lista-ejemplo2</span> {<span class="propiedad">list-style-type:</span> <span class="valor-css">disc;</span>}</code></pre>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Ejemplos</h2>
      <iframe src="ejemplos/p18_listas_desordenadas.html" style="height: 240px; width: 350px;"></iframe>
      <p class="importante">¿Cómo invertirías los estilos?</p>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">list-style-type</span></h2>
      <h3>Listas ordenadas</h3>
      <ul class="lista">
        <li><span class="valor-css">decimal</span>, números (equivalente a <span class="propiedad">type=</span><span class="valor">"1"</span>)</li>
        <li><span class="valor-css">decimal-leading-zero</span>, números con 0 delante de 01 a 09</li>
        <li><span class="valor-css">lower-alpha</span> o <span class="valor-css">lower-latin</span>, letras minúsculas (equivalente a <span class="propiedad">type=</span><span class="valor">"a"</span>)</li>
        <li><span class="valor-css">upper-alpha</span> o <span class="valor-css">upper-latin</span>, letras mayúsculas (equivalente a <span class="propiedad">type=</span><span class="valor">"A"</span>)</li>
        <li><span class="valor-css">lower-roman</span>, números romanos en minúsculas (equivalente a <span class="propiedad">type=</span><span class="valor">"i"</span>)</li>
        <li><span class="valor-css">upper-roman</span>, números romanos en mayúsculas (equivalente a <span class="propiedad">type=</span><span class="valor">"I"</span>)</li>
      </ul>
      <a class="importante" href="https://lenguajecss.com/css/representacion-datos/listas-css/#vi%C3%B1etas-css-para-las-listas">LenguajeCSS.com - Más valores para el estilo de la lista</a>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">list-style-position</span></h2>
      <ul class="lista">
        <li>Permite cambiar la posición de los marcadores</li>
        <li>Valores:
          <ul>
            <li><span class="valor-css"><strong>outside</strong></span>, el marcador queda fuera de los <span class="etiqueta">li</span> (por defecto)</li>
            <li><span class="valor-css">inside</span>, el marcador forma parte del <span class="etiqueta">li</span></li>
          </ul>
        </li>
      </ul>
      <h3>Ejemplos</h3>
      <div class="columnas-flex">
        <div>
          <h4>css:</h4>
          <pre><code><span class="selector">.lista-1</span> {
  <span class="propiedad">list-style-position:</span> <span class="valor-css">inside;</span>
}
<span class="selector">.lista-2</span> {
  <span class="propiedad">list-style-position:</span> <span class="valor-css">outside;</span>
}</code></pre>
        </div>
        <iframe src="ejemplos/p18_list_style_position.html"></iframe>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">list-style-image</span></h2>
      <ul class="lista">
        <li>Permite cambiar los marcadores por una imagen</li>
        <li>Valor: <span class="valor-css">url('direccion_imagen');</span></li>
        <li>No permite modificar el tamaño de la imagen</li>
      </ul>
      <h3>Ejemplos</h3>
      <div class="columnas-flex">
        <div class="columna-doble">
          <h4>css:</h4>
          <pre><code><span class="selector">.lista-pagina</span> {
  <span class="propiedad">list-style-image:</span> <span class="valor-css">url('../img/page.png');</span>
}</code></pre>
        </div>
        <iframe src="ejemplos/p18_list_style_image.html"></iframe>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="selector">::marker</span></h2>
      <ul class="lista">
        <li>Pseudo-elemento que permite modificar el estilo de los marcadores</li>
      </ul>
      <h3>Ejemplos</h3>
      <div class="columnas-flex">
        <div class="columna-doble">
          <h4>css:</h4>
          <pre><code><span class="selector">.lista-1 > li::marker</span> {
  <span class="propiedad">color:</span> <span class="valor-css">lightblue;</span>
}
<span class="selector">.lista-2 > li::marker</span> {
  <span class="propiedad">content:</span> <span class="valor-css">"❤️ ";</span>
}</code></pre>
        </div>
        <iframe src="ejemplos/p18_marker.html"></iframe>
      </div>
    </section>

    <section class="no-print pt-2" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Partiendo de la solución del ejercicio 23</li>
        <li>Poner una cabecera sticky con los siguientes elementos:
          <ul>
            <li>Imagen que flote a la izquierda</li>
            <li>Título</li>
            <li>Menú de navegación:
              <ul>
                <li>Posición absoluta (abajo a la derecha)</li>
                <li>Elementos de la lista y los enlaces como inline-block</li>
                <li>Aplicar un estilo a los enlaces del menú y otro al posicionarse encima</li>
              </ul>
            </li>
          </ul>
        </li>
        <li>Corregir los estilos que había para que no afecten sobre el menú</li>
        <li>Cambiar los marcadores de los ingredientes por una imagen o emoji</li>
      </ul>
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio33/index.html?inline=false">Index</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio33/css/estilo.css?inline=false">Estilo</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio33/img/resultado.png?inline=false">Ejemplo</a>
      </p>
    </section>
  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>